<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- orders: list of orders to display in the table
           managedBean: the backing bean to call
           displayAddButton: indicates whether or not the "Add an observation" button should be displayed-->
    <rich:dataTable value="#{orders}" var="orderVar" rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                    id="allOrdersDataTable" render="ds">
        <ui:decorate template="/common/orderColumns.xhtml">
            <ui:param name="currentOrder" value="#{orderVar}"/>
            <ui:param name="displayEncounterInfo" value="false"/>
            <ui:param name="enableStatusEdit" value="true"/>
            <ui:define name="editOrderResult">
                <h:selectOneMenu value="#{currentOrder.orderResultStatus}"
                                 styleClass="form-control" id="newres">
                    <f:selectItems value="#{valueSet.getListOfConcepts('resultStatus')}"/>
                    <a4j:ajax event="change" listener="#{managedBean.updateOrder(currentOrder)}"/>
                </h:selectOneMenu>
            </ui:define>
            <ui:define name="editStatus">
                <h:selectOneMenu value="#{currentOrder.orderStatus}" id="newval"
                                 styleClass="form-control">
                    <f:selectItems value="#{valueSet.getListOfConcepts('orderStatus')}"/>
                    <a4j:ajax event="change" listener="#{managedBean.updateOrder(currentOrder)}"/>
                </h:selectOneMenu>
            </ui:define>
        </ui:decorate>
        <g:column>
            <ui:define name="header">#{messages['net.ihe.gazelle.patgen.Actions']}</ui:define>
            <a4j:commandLink title="#{messages['gazelle.ordermanager.AddAnObservationToThisOrder']}"
                             actionListener="#{orderResultManager.createNewObservationForOrder(orderVar)}"
                             render="resultConfiguration">
                <s:span styleClass="gzl-icon-plus"/>
            </a4j:commandLink>
            <a4j:commandLink
                    rendered="#{displayAddButton and orderVar.simulatedActor.keyword.equals('ANALYZER') and managedBean.isOptionSupported('LAW_REFLEX')}"
                    title="#{messages['gazelle.ordermanager.Reflex']}" actionListener="#{orderResultManager.reflexOrder(orderVar)}"
                    render="objectSelectionDiv, resultConfiguration">
                <span class="fa fa-repeat gzl-text-blue"/>
            </a4j:commandLink>
        </g:column>
        <ui:include src="/lab/observationColspan.xhtml">
            <ui:param name="colNumber" value="4"/>
            <ui:param name="observations" value="#{orderVar.observations}"/>
            <ui:param name="spm" value="null"/>
            <ui:param name="currentOrder" value="#{orderVar}"/>
            <ui:param name="parentType" value="order"/>
            <ui:param name="displayAddButton" value="#{displayAddButton}"/>
            <ui:param name="allowRerun" value="true"/>
        </ui:include>
        <f:facet name="footer">
            <ui:include src="/util/datatableFooter.xhtml">
                <ui:param name="dataScrollerId" value="ds"/>
                <ui:param name="dataTableId" value="allOrdersDataTable"/>
            </ui:include>
        </f:facet>
    </rich:dataTable>
</ui:composition>
